pydo.firewalls.get()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.firewalls.get(firewall_id="bb4b2611-3d72-467b-8602-280330ecd65c")
Returns JSONRaises HttpResponseError

Description

To show information about an existing firewall, send a GET request to /v2/firewalls/{firewall_id}.

Parameters

firewall_id string required

A unique ID that can be used to identify and reference a firewall.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.firewalls.get(firewall_id= "as9di9d")

Response Example

Show Response Example
{
  "firewall": {
    "id": "bb4b2611-3d72-467b-8602-280330ecd65c",
    "name": "firewall",
    "status": "succeeded",
    "inbound_rules": [
      {
        "protocol": "tcp",
        "ports": "80",
        "sources": {
          "load_balancer_uids": [
            "4de7ac8b-495b-4884-9a69-1050c6793cd6"
          ]
        }
      },
      {
        "protocol": "tcp",
        "ports": "22",
        "sources": {
          "tags": [
            "gateway"
          ],
          "addresses": [
            "18.0.0.0/8"
          ]
        }
      }
    ],
    "outbound_rules": [
      {
        "protocol": "tcp",
        "ports": "80",
        "destinations": {
          "addresses": [
            "0.0.0.0/0",
            "::/0"
          ]
        }
      }
    ],
    "created_at": "2017-05-23T21:24:00Z",
    "droplet_ids": [
      8043964
    ],
    "tags": [],
    "pending_changes": []
  }
}

More Information

See /v2/firewalls/{firewall_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.